csc := proc(x)
    # csc(x) = 1/sin(x) #
    local r;
begin
    if x::csc <> FAIL then return(x::csc(args())) end_if;
    if args(0) <> 1 then
       error("1 argument expected")
    end_if;

    r:=sin(x);
    if r = 0 or r = 0.0 then
       error("singularity")
    else
       1/r
    end_if;
end_proc:

csc := funcattr(csc, "type", "csc"):
csc := funcattr(csc, "print", "csc"):
csc := funcattr(csc, "info", "csc -- the cosecant"):

csc := funcattr(csc, "expand", fun(expand(1/sin(args(1)))) ):

csc:= funcattr( csc, "conjugate",
    loadproc(funcattr(csc,"conjugate"),pathname("STDLIB","CONJ"),"csc")
):

# end of file #
