# $Date: 1996/09/19 08:47:08 $ $Author: frankp $ $Revision: 1.3 $ #

#--
	gamma/rectform -- the function attribut "rectform" for gamma
--#

gamma:= funcattr( gamma, "rectform", proc(x)
	name gamma::rectform;
        local a, rl;
    begin
        if args(0) = 2 then
            x:= rectform::new(x,args(2))
        else
            x:= rectform::new(x)
        end_if;
        rl:= extop(x,4);
        if extop(x,3) <> 0 or not iszero(extop(x,2)) then
            new(rectform,0,0,hold(coth)(rectform::expr(x)),rl)
        else
            a:= extop(x,1);
            if domtype(a) = DOM_FLOAT then
                rectform::new(gamma(a))
            else
                new(rectform,gamma(a),0,0,rl)
            end_if
        end_if
    end_proc
):

# end of file #
