# $Date: 1996/09/19 08:47:07 $ $Author: frankp $ $Revision: 1.3 $ #

#--
	coth/rectform -- the function attribut "rectform" for coth
--#

coth := funcattr( coth, "rectform", proc(x)
	name coth::rectform;
        local a, b, t, rl;
    begin
        if args(0) = 2 then
            x:= rectform::new(x,args(2))
        else
            x:= rectform::new(x)
        end_if;
        rl:= extop(x,4);
        if extop(x,3) <> 0 then
            new(rectform,0,0,hold(coth)(rectform::expr(x)),rl)
        else
            a:= extop(x,1);
            b:= extop(x,2);
            if domtype(a+I*b) = DOM_COMPLEX
               and (domtype(a) = DOM_FLOAT or domtype(b) = DOM_FLOAT)
            then
                rectform::new(coth(a+I*b))
            elif iszero(b) then
                new(rectform,coth(a),0,0,rl)
            else
                t:= sinh(a)^2+sin(b)^2;
                new(rectform,sinh(a)*cosh(a)/t,-sin(b)*cos(b)/t,0,rl)
            end_if
        end_if
    end_proc
):

# end of file #
